> For the complete documentation index, see [llms.txt](https://docs.repscripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.repscripts.com/paid-scripts/rep-chopshop.md).

# rep-chopshop

## **DEPENDENCIES:**

**Framework**: [qb-core](https://github.com/qbcore-framework/qb-core) or [esx](https://github.com/esx-overextended/es_extended) or [qbx\_core](https://github.com/Qbox-project/qbx_core)

**Target**: [ox\_target](https://github.com/overextended/ox_target) or [qb-target](https://github.com/qbcore-framework/qb-target)

**Rep-Tablet**: [rep-tablet](https://github.com/Rep-Scripts/rep-tablet)

**Rep-TalkToNPC:** [rep-talkNPC](https://github.com/BahnMiFPS/rep-talkNPC) (**optional**)

**Pengu\_Digiscanner**: [pengu\_digiscanner](https://github.com/PenguScript/pengu_digiscanner)

## INSTALLATION:

Buy a release [HERE](https://github.com/BahnMiFPS/rep-talkNPC/releases).

## Add Items:

### ox\_inventory:

1. Copy the image files from the `img` folder to your `inventory` folder.
2. Add the following codes to your `ox-inventory/data/items.lua` file under the Items section:

```lua
["car_door"] = {
    label = "Car Door",
    weight = 7500,
    description = "",
},
["car_trunk"] = {
    label = "Car Trunk",
    weight = 7500,
    description = "",
},
["car_wheel"] = {
    label = "Car Wheel",
    weight = 5000,
    description = "",
},
```

### qb-core:

1. Copy the image files from the `img` folder to your `inventory` folder.
2. Go to qb-core/shared/items.lua

```lua
car_door 			 	 	 = {name = 'car_door', 				label = 'Car Door', 				weight = 7500, 		type = 'item', 		image = 'car_door.png', 			unique = false, 	useable = false, 	shouldClose = true,   combinable = nil,   description = ''},
car_trunk 					 = {name = "car_trunk", 			 	label = "Car Trunk", 		        weight = 7500, 		type = "item", 		image = "car_trunk.png", 				unique = true, 		useable = false, 	shouldClose = false,   combinable = nil,   description = ""},
car_wheel 					 = {name = "car_wheel", 			 	label = "Car Wheel", 		        weight = 5000, 		type = "item", 		image = "car_wheel.png", 				unique = false, 		useable = false, 	shouldClose = false,   combinable = nil,   description = ""},
```

### esx:

1. Copy the image files from the `img` folder to your `inventory` folder.
2. Insert sql items:

```sql
INSERT INTO `items` (`name`, `label`, `weight`, `rare`, `can_remove`) VALUES
        ('car_door', 'Car Door', 8, 0, 1),
        ('car_trunk', 'Car Trunk', 8, 0, 1),
        ('car_wheel', 'Car Wheel', 5, 0, 1),
```

## Carry:

### old [Renewed-WeaponCarry](https://github.com/Renewed-Scripts/Renewed-Weaponscarry/tree/9bb4f9e0ceeb59e4ce7a98f2effde3ab1930fc63):

Add this inside **local props = {}**

```lua
["car_trunk"] =  { carry = true, model = "imp_prop_impexp_trunk_03a", bone = 24817, x = -0.21, y = 0.58, z = 0.0, xr = 79.36, yr = 2.3, zr = -0.3, blockAttack = true, blockCar = true, blockRun = true },
["car_door"] =  { carry = true, model = "imp_prop_impexp_car_door_04a", bone = 24817, x = -0.19, y = 0.46, z = -0.61, xr = -89.7, yr = 75.0, zr = 0.0, blockAttack = true, blockCar = true, blockRun = true },
["car_wheel"] =  { carry = true, model = "prop_wheel_02", bone = 24817, x = -0.15, y = 0.4, z = 0.02, xr = -185.0, yr = 0.0, zr = 0.0, blockAttack = true, blockCar = true, blockRun = true },
```

### new [Renewed-WeaponCarry](https://github.dev/Renewed-Scripts/Renewed-Weaponscarry):

Add the following codes to your data/carry.lua:

```lua
car_trunk = {
    model = `imp_prop_impexp_trunk_03a`,
    pos = vec3(-0.21, 0.58, 0.0),
    rot = vec3(79.36, 2.3, -0.3),
    bone = 24817,
    dict = 'anim@heists@box_carry@',
    anim = 'idle',
    disableKeys = {
        disableSprint = true,
        disableJump = true,
        disableAttack = true,
        disableVehicle = true
    }
},
car_door = {
    model = `imp_prop_impexp_car_door_04a`,
    pos = vec3(-0.19, 0.46, -0.61),
    rot = vec3(-89.7, 75.0, 0.0),
    bone = 24817,
    dict = 'anim@heists@box_carry@',
    anim = 'idle',
    disableKeys = {
        disableSprint = true,
        disableJump = true,
        disableAttack = true,
        disableVehicle = true
    }
},
car_wheel = {
    model = `prop_wheel_02`,
    pos = vec3(-0.15, 0.4, 0.02),
    rot = vec3(-185.0, 0.0, 0.0),
    bone = 24817,
    dict = 'anim@heists@box_carry@',
    anim = 'idle',
    disableKeys = {
        disableSprint = true,
        disableJump = true,
        disableAttack = true,
        disableVehicle = true
    }
},
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.repscripts.com/paid-scripts/rep-chopshop.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
